Contents
Index 🔎︎

# Get Statement

Rileetive fayle giddonni mareekko nabbawanno, woy bayitete aante laminaatu fayle giddonni soorramaanchu wido.

Hattono: PUT Foolishsho la'i

### Syntax:

    Get [#]fileNum, [recordNum|filePos], variable

### Parameters:

fileNum: Any integer expression that determines the file number.

recordNum: For files opened in Random mode, recordNum is the number of the record that you want to read.

For files opened in Binary mode, filePos is the byte position in the file where the reading starts.

If recordNum and filePos are omitted, the current position or the current data record of the file is used.

variable: Name of the variable to be read. With the exception of object variables, you can use any variable type.

### Example:

    Sub ExampleRandomAccess
        Dim iNumber As Integer
        Dim sBorro Baxxaanchu Gede ' Baxxaancho ikka noose
        Dim aFile As String
        aFile = "c:\data.txt"
        iNumber = Freefile
        Open aFile For Random As #iNumber Len=32
        #iKiiro hasi,1 ' Ofolla hanfoho
        #iKiiro wori,, "Tini borrote umi xuruurati" ' Xuruura borrotenni wonshshi
        #iKiiro wori,, "Tini borrote layinkki xuruuraati"
        #iKiiro wori,, "Tini borrote sayikki xuruuraati"
        Seek #iNumber,2
        Get #iNumber,,sText
        Print sText
        Close #iNumber
        iNumber = Freefile
        Open aFile For Random As #iNumber Len=32
        Get #iNumber,2,sText
        #iKiiro wori,, "Tini haaro borrooti"
        Get #iNumber,1,sText
        Get #iNumber,2,sText
        #iKiiro wori,, "Tini 20 mareekko giddo noo borrooti"
        Print Lof(#iNumber)
        Close #iNumber
    End Sub

Fiixoo'mino umo

Open Statement

Put# Statement

Close Statement